IDA SDK

- Main Page
- Header Files
- Classes
- Modules

Functions
Functions: examine data bits
Flags structure » Instruction/Data operands

## Detailed Description

## Functions
flags_t idaapi | codeflag (void)
| FF_CODE
flags_t idaapi | byteflag (void)
| Get a flags_t representing a byte.
flags_t idaapi | wordflag (void)
| Get a flags_t representing a word.
flags_t idaapi | dwrdflag (void)
| Get a flags_t representing a double word.
flags_t idaapi | qwrdflag (void)
| Get a flags_t representing a quad word.
flags_t idaapi | owrdflag (void)
| Get a flags_t representing a octaword.
flags_t idaapi | ywrdflag (void)
| Get a flags_t representing a ymm word.
flags_t idaapi | zwrdflag (void)
| Get a flags_t representing a zmm word.
flags_t idaapi | tbytflag (void)
| Get a flags_t representing a tbyte.
flags_t idaapi | asciflag (void)
| Get a flags_t representing ascii data.
flags_t idaapi | struflag (void)
| Get a flags_t representing a struct.
flags_t idaapi | custflag (void)
| Get a flags_t representing custom type data.
flags_t idaapi | alignflag (void)
| Get a flags_t representing an alignment directive.
flags_t idaapi | floatflag (void)
| Get a flags_t representing a float.
flags_t idaapi | doubleflag (void)
| Get a flags_t representing a double.
flags_t idaapi | tribyteflag (void)
| Get a flags_t representing 3-byte data.
flags_t idaapi | packrealflag (void)
| Get a flags_t representing a packed decimal real.
bool idaapi | isByte (flags_t F)
| FF_BYTE
bool idaapi | isWord (flags_t F)
| FF_WORD
bool idaapi | isDwrd (flags_t F)
| FF_DWRD
bool idaapi | isQwrd (flags_t F)
| FF_QWRD
bool idaapi | isOwrd (flags_t F)
| FF_OWRD
bool idaapi | isYwrd (flags_t F)
| FF_YWRD
bool idaapi | isZwrd (flags_t F)
| FF_ZWRD
bool idaapi | isTbyt (flags_t F)
| FF_TBYT
bool idaapi | isFloat (flags_t F)
| FF_FLOAT
bool idaapi | isDouble (flags_t F)
| FF_DOUBLE
bool idaapi | isPackReal (flags_t F)
| FF_PACKREAL
bool idaapi | isASCII (flags_t F)
| FF_ASCI
bool idaapi | isStruct (flags_t F)
| FF_STRU
bool idaapi | isAlign (flags_t F)
| FF_ALIGN
bool idaapi | is3byte (flags_t F)
| FF_3BYTE
bool idaapi | isCustom (flags_t F)
| FF_CUSTOM
bool idaapi | f_isByte (flags_t F, void *)
| See isByte()
bool idaapi | f_isWord (flags_t F, void *)
| See isWord()
bool idaapi | f_isDwrd (flags_t F, void *)
| See isDwrd()
bool idaapi | f_isQwrd (flags_t F, void *)
| See isQwrd()
bool idaapi | f_isOwrd (flags_t F, void *)
| See isOwrd()
bool idaapi | f_isYwrd (flags_t F, void *)
| See isYwrd()
bool idaapi | f_isTbyt (flags_t F, void *)
| See isTbyt()
bool idaapi | f_isFloat (flags_t F, void *)
| See isFloat()
bool idaapi | f_isDouble (flags_t F, void *)
| See isDouble()
bool idaapi | f_isPackReal (flags_t F, void *)
| See isPackReal()
bool idaapi | f_isASCII (flags_t F, void *)
| See isASCII()
bool idaapi | f_isStruct (flags_t F, void *)
| See isStruct()
bool idaapi | f_isAlign (flags_t F, void *)
| See isAlign()
bool idaapi | f_is3byte (flags_t F, void *)
| See is3byte()
bool idaapi | f_isCustom (flags_t F, void *)
| See isCustom()
bool idaapi | is_same_data_type (flags_t F1, flags_t F2)
| Do the given flags specify the same data type?
idaman flags_t ida_export | get_flags_by_size (size_t size)
| Get flags from size (in bytes). More...

## Function Documentation

idaman flags_t ida_export get_flags_by_size | ( | size_t | size | ) |

Get flags from size (in bytes).

Supported sizes: 1,2,4,8,16,32. For other sizes returns 0